Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.44.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
252.44.0.0
Broadcast address
252.44.31.255
First usable
252.44.0.1
Last usable
252.44.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC2C0000 · Integer 4230742016 to 4230750207
Reverse DNS zones
0.44.252.in-addr.arpa
1.44.252.in-addr.arpa
2.44.252.in-addr.arpa
3.44.252.in-addr.arpa
4.44.252.in-addr.arpa
5.44.252.in-addr.arpa
6.44.252.in-addr.arpa
7.44.252.in-addr.arpa
8.44.252.in-addr.arpa
9.44.252.in-addr.arpa
10.44.252.in-addr.arpa
11.44.252.in-addr.arpa
12.44.252.in-addr.arpa
13.44.252.in-addr.arpa
14.44.252.in-addr.arpa
15.44.252.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00101100.00000000.00000000252.44.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11111100.00101100.00000000.00000000252.44.0.0
Broadcast11111100.00101100.00011111.11111111252.44.31.255
Split into smaller subnets/31

252.44.0.0/19 makes 4,096 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.44.0.0/31252.44.0.0 to 252.44.0.1—2
2252.44.0.2/31252.44.0.2 to 252.44.0.3—2
3252.44.0.4/31252.44.0.4 to 252.44.0.5—2
4252.44.0.6/31252.44.0.6 to 252.44.0.7—2
5252.44.0.8/31252.44.0.8 to 252.44.0.9—2
6252.44.0.10/31252.44.0.10 to 252.44.0.11—2
7252.44.0.12/31252.44.0.12 to 252.44.0.13—2
8252.44.0.14/31252.44.0.14 to 252.44.0.15—2
9252.44.0.16/31252.44.0.16 to 252.44.0.17—2
10252.44.0.18/31252.44.0.18 to 252.44.0.19—2
11252.44.0.20/31252.44.0.20 to 252.44.0.21—2
12252.44.0.22/31252.44.0.22 to 252.44.0.23—2
13252.44.0.24/31252.44.0.24 to 252.44.0.25—2
14252.44.0.26/31252.44.0.26 to 252.44.0.27—2
15252.44.0.28/31252.44.0.28 to 252.44.0.29—2
16252.44.0.30/31252.44.0.30 to 252.44.0.31—2
17252.44.0.32/31252.44.0.32 to 252.44.0.33—2
18252.44.0.34/31252.44.0.34 to 252.44.0.35—2
19252.44.0.36/31252.44.0.36 to 252.44.0.37—2
20252.44.0.38/31252.44.0.38 to 252.44.0.39—2
21252.44.0.40/31252.44.0.40 to 252.44.0.41—2
22252.44.0.42/31252.44.0.42 to 252.44.0.43—2
23252.44.0.44/31252.44.0.44 to 252.44.0.45—2
24252.44.0.46/31252.44.0.46 to 252.44.0.47—2
25252.44.0.48/31252.44.0.48 to 252.44.0.49—2
26252.44.0.50/31252.44.0.50 to 252.44.0.51—2
27252.44.0.52/31252.44.0.52 to 252.44.0.53—2
28252.44.0.54/31252.44.0.54 to 252.44.0.55—2
29252.44.0.56/31252.44.0.56 to 252.44.0.57—2
30252.44.0.58/31252.44.0.58 to 252.44.0.59—2
31252.44.0.60/31252.44.0.60 to 252.44.0.61—2
32252.44.0.62/31252.44.0.62 to 252.44.0.63—2
33252.44.0.64/31252.44.0.64 to 252.44.0.65—2
34252.44.0.66/31252.44.0.66 to 252.44.0.67—2
35252.44.0.68/31252.44.0.68 to 252.44.0.69—2
36252.44.0.70/31252.44.0.70 to 252.44.0.71—2
37252.44.0.72/31252.44.0.72 to 252.44.0.73—2
38252.44.0.74/31252.44.0.74 to 252.44.0.75—2
39252.44.0.76/31252.44.0.76 to 252.44.0.77—2
40252.44.0.78/31252.44.0.78 to 252.44.0.79—2
41252.44.0.80/31252.44.0.80 to 252.44.0.81—2
42252.44.0.82/31252.44.0.82 to 252.44.0.83—2
43252.44.0.84/31252.44.0.84 to 252.44.0.85—2
44252.44.0.86/31252.44.0.86 to 252.44.0.87—2
45252.44.0.88/31252.44.0.88 to 252.44.0.89—2
46252.44.0.90/31252.44.0.90 to 252.44.0.91—2
47252.44.0.92/31252.44.0.92 to 252.44.0.93—2
48252.44.0.94/31252.44.0.94 to 252.44.0.95—2
49252.44.0.96/31252.44.0.96 to 252.44.0.97—2
50252.44.0.98/31252.44.0.98 to 252.44.0.99—2
51252.44.0.100/31252.44.0.100 to 252.44.0.101—2
52252.44.0.102/31252.44.0.102 to 252.44.0.103—2
53252.44.0.104/31252.44.0.104 to 252.44.0.105—2
54252.44.0.106/31252.44.0.106 to 252.44.0.107—2
55252.44.0.108/31252.44.0.108 to 252.44.0.109—2
56252.44.0.110/31252.44.0.110 to 252.44.0.111—2
57252.44.0.112/31252.44.0.112 to 252.44.0.113—2
58252.44.0.114/31252.44.0.114 to 252.44.0.115—2
59252.44.0.116/31252.44.0.116 to 252.44.0.117—2
60252.44.0.118/31252.44.0.118 to 252.44.0.119—2
61252.44.0.120/31252.44.0.120 to 252.44.0.121—2
62252.44.0.122/31252.44.0.122 to 252.44.0.123—2
63252.44.0.124/31252.44.0.124 to 252.44.0.125—2
64252.44.0.126/31252.44.0.126 to 252.44.0.127—2
65252.44.0.128/31252.44.0.128 to 252.44.0.129—2
66252.44.0.130/31252.44.0.130 to 252.44.0.131—2
67252.44.0.132/31252.44.0.132 to 252.44.0.133—2
68252.44.0.134/31252.44.0.134 to 252.44.0.135—2
69252.44.0.136/31252.44.0.136 to 252.44.0.137—2
70252.44.0.138/31252.44.0.138 to 252.44.0.139—2
71252.44.0.140/31252.44.0.140 to 252.44.0.141—2
72252.44.0.142/31252.44.0.142 to 252.44.0.143—2
73252.44.0.144/31252.44.0.144 to 252.44.0.145—2
74252.44.0.146/31252.44.0.146 to 252.44.0.147—2
75252.44.0.148/31252.44.0.148 to 252.44.0.149—2
76252.44.0.150/31252.44.0.150 to 252.44.0.151—2
77252.44.0.152/31252.44.0.152 to 252.44.0.153—2
78252.44.0.154/31252.44.0.154 to 252.44.0.155—2
79252.44.0.156/31252.44.0.156 to 252.44.0.157—2
80252.44.0.158/31252.44.0.158 to 252.44.0.159—2
81252.44.0.160/31252.44.0.160 to 252.44.0.161—2
82252.44.0.162/31252.44.0.162 to 252.44.0.163—2
83252.44.0.164/31252.44.0.164 to 252.44.0.165—2
84252.44.0.166/31252.44.0.166 to 252.44.0.167—2
85252.44.0.168/31252.44.0.168 to 252.44.0.169—2
86252.44.0.170/31252.44.0.170 to 252.44.0.171—2
87252.44.0.172/31252.44.0.172 to 252.44.0.173—2
88252.44.0.174/31252.44.0.174 to 252.44.0.175—2
89252.44.0.176/31252.44.0.176 to 252.44.0.177—2
90252.44.0.178/31252.44.0.178 to 252.44.0.179—2
91252.44.0.180/31252.44.0.180 to 252.44.0.181—2
92252.44.0.182/31252.44.0.182 to 252.44.0.183—2
93252.44.0.184/31252.44.0.184 to 252.44.0.185—2
94252.44.0.186/31252.44.0.186 to 252.44.0.187—2
95252.44.0.188/31252.44.0.188 to 252.44.0.189—2
96252.44.0.190/31252.44.0.190 to 252.44.0.191—2
97252.44.0.192/31252.44.0.192 to 252.44.0.193—2
98252.44.0.194/31252.44.0.194 to 252.44.0.195—2
99252.44.0.196/31252.44.0.196 to 252.44.0.197—2
100252.44.0.198/31252.44.0.198 to 252.44.0.199—2
101252.44.0.200/31252.44.0.200 to 252.44.0.201—2
102252.44.0.202/31252.44.0.202 to 252.44.0.203—2
103252.44.0.204/31252.44.0.204 to 252.44.0.205—2
104252.44.0.206/31252.44.0.206 to 252.44.0.207—2
105252.44.0.208/31252.44.0.208 to 252.44.0.209—2
106252.44.0.210/31252.44.0.210 to 252.44.0.211—2
107252.44.0.212/31252.44.0.212 to 252.44.0.213—2
108252.44.0.214/31252.44.0.214 to 252.44.0.215—2
109252.44.0.216/31252.44.0.216 to 252.44.0.217—2
110252.44.0.218/31252.44.0.218 to 252.44.0.219—2
111252.44.0.220/31252.44.0.220 to 252.44.0.221—2
112252.44.0.222/31252.44.0.222 to 252.44.0.223—2
113252.44.0.224/31252.44.0.224 to 252.44.0.225—2
114252.44.0.226/31252.44.0.226 to 252.44.0.227—2
115252.44.0.228/31252.44.0.228 to 252.44.0.229—2
116252.44.0.230/31252.44.0.230 to 252.44.0.231—2
117252.44.0.232/31252.44.0.232 to 252.44.0.233—2
118252.44.0.234/31252.44.0.234 to 252.44.0.235—2
119252.44.0.236/31252.44.0.236 to 252.44.0.237—2
120252.44.0.238/31252.44.0.238 to 252.44.0.239—2
121252.44.0.240/31252.44.0.240 to 252.44.0.241—2
122252.44.0.242/31252.44.0.242 to 252.44.0.243—2
123252.44.0.244/31252.44.0.244 to 252.44.0.245—2
124252.44.0.246/31252.44.0.246 to 252.44.0.247—2
125252.44.0.248/31252.44.0.248 to 252.44.0.249—2
126252.44.0.250/31252.44.0.250 to 252.44.0.251—2
127252.44.0.252/31252.44.0.252 to 252.44.0.253—2
128252.44.0.254/31252.44.0.254 to 252.44.0.255—2
129252.44.1.0/31252.44.1.0 to 252.44.1.1—2
130252.44.1.2/31252.44.1.2 to 252.44.1.3—2
131252.44.1.4/31252.44.1.4 to 252.44.1.5—2
132252.44.1.6/31252.44.1.6 to 252.44.1.7—2
133252.44.1.8/31252.44.1.8 to 252.44.1.9—2
134252.44.1.10/31252.44.1.10 to 252.44.1.11—2
135252.44.1.12/31252.44.1.12 to 252.44.1.13—2
136252.44.1.14/31252.44.1.14 to 252.44.1.15—2
137252.44.1.16/31252.44.1.16 to 252.44.1.17—2
138252.44.1.18/31252.44.1.18 to 252.44.1.19—2
139252.44.1.20/31252.44.1.20 to 252.44.1.21—2
140252.44.1.22/31252.44.1.22 to 252.44.1.23—2
141252.44.1.24/31252.44.1.24 to 252.44.1.25—2
142252.44.1.26/31252.44.1.26 to 252.44.1.27—2
143252.44.1.28/31252.44.1.28 to 252.44.1.29—2
144252.44.1.30/31252.44.1.30 to 252.44.1.31—2
145252.44.1.32/31252.44.1.32 to 252.44.1.33—2
146252.44.1.34/31252.44.1.34 to 252.44.1.35—2
147252.44.1.36/31252.44.1.36 to 252.44.1.37—2
148252.44.1.38/31252.44.1.38 to 252.44.1.39—2
149252.44.1.40/31252.44.1.40 to 252.44.1.41—2
150252.44.1.42/31252.44.1.42 to 252.44.1.43—2
151252.44.1.44/31252.44.1.44 to 252.44.1.45—2
152252.44.1.46/31252.44.1.46 to 252.44.1.47—2
153252.44.1.48/31252.44.1.48 to 252.44.1.49—2
154252.44.1.50/31252.44.1.50 to 252.44.1.51—2
155252.44.1.52/31252.44.1.52 to 252.44.1.53—2
156252.44.1.54/31252.44.1.54 to 252.44.1.55—2
157252.44.1.56/31252.44.1.56 to 252.44.1.57—2
158252.44.1.58/31252.44.1.58 to 252.44.1.59—2
159252.44.1.60/31252.44.1.60 to 252.44.1.61—2
160252.44.1.62/31252.44.1.62 to 252.44.1.63—2
161252.44.1.64/31252.44.1.64 to 252.44.1.65—2
162252.44.1.66/31252.44.1.66 to 252.44.1.67—2
163252.44.1.68/31252.44.1.68 to 252.44.1.69—2
164252.44.1.70/31252.44.1.70 to 252.44.1.71—2
165252.44.1.72/31252.44.1.72 to 252.44.1.73—2
166252.44.1.74/31252.44.1.74 to 252.44.1.75—2
167252.44.1.76/31252.44.1.76 to 252.44.1.77—2
168252.44.1.78/31252.44.1.78 to 252.44.1.79—2
169252.44.1.80/31252.44.1.80 to 252.44.1.81—2
170252.44.1.82/31252.44.1.82 to 252.44.1.83—2
171252.44.1.84/31252.44.1.84 to 252.44.1.85—2
172252.44.1.86/31252.44.1.86 to 252.44.1.87—2
173252.44.1.88/31252.44.1.88 to 252.44.1.89—2
174252.44.1.90/31252.44.1.90 to 252.44.1.91—2
175252.44.1.92/31252.44.1.92 to 252.44.1.93—2
176252.44.1.94/31252.44.1.94 to 252.44.1.95—2
177252.44.1.96/31252.44.1.96 to 252.44.1.97—2
178252.44.1.98/31252.44.1.98 to 252.44.1.99—2
179252.44.1.100/31252.44.1.100 to 252.44.1.101—2
180252.44.1.102/31252.44.1.102 to 252.44.1.103—2
181252.44.1.104/31252.44.1.104 to 252.44.1.105—2
182252.44.1.106/31252.44.1.106 to 252.44.1.107—2
183252.44.1.108/31252.44.1.108 to 252.44.1.109—2
184252.44.1.110/31252.44.1.110 to 252.44.1.111—2
185252.44.1.112/31252.44.1.112 to 252.44.1.113—2
186252.44.1.114/31252.44.1.114 to 252.44.1.115—2
187252.44.1.116/31252.44.1.116 to 252.44.1.117—2
188252.44.1.118/31252.44.1.118 to 252.44.1.119—2
189252.44.1.120/31252.44.1.120 to 252.44.1.121—2
190252.44.1.122/31252.44.1.122 to 252.44.1.123—2
191252.44.1.124/31252.44.1.124 to 252.44.1.125—2
192252.44.1.126/31252.44.1.126 to 252.44.1.127—2
193252.44.1.128/31252.44.1.128 to 252.44.1.129—2
194252.44.1.130/31252.44.1.130 to 252.44.1.131—2
195252.44.1.132/31252.44.1.132 to 252.44.1.133—2
196252.44.1.134/31252.44.1.134 to 252.44.1.135—2
197252.44.1.136/31252.44.1.136 to 252.44.1.137—2
198252.44.1.138/31252.44.1.138 to 252.44.1.139—2
199252.44.1.140/31252.44.1.140 to 252.44.1.141—2
200252.44.1.142/31252.44.1.142 to 252.44.1.143—2
201252.44.1.144/31252.44.1.144 to 252.44.1.145—2
202252.44.1.146/31252.44.1.146 to 252.44.1.147—2
203252.44.1.148/31252.44.1.148 to 252.44.1.149—2
204252.44.1.150/31252.44.1.150 to 252.44.1.151—2
205252.44.1.152/31252.44.1.152 to 252.44.1.153—2
206252.44.1.154/31252.44.1.154 to 252.44.1.155—2
207252.44.1.156/31252.44.1.156 to 252.44.1.157—2
208252.44.1.158/31252.44.1.158 to 252.44.1.159—2
209252.44.1.160/31252.44.1.160 to 252.44.1.161—2
210252.44.1.162/31252.44.1.162 to 252.44.1.163—2
211252.44.1.164/31252.44.1.164 to 252.44.1.165—2
212252.44.1.166/31252.44.1.166 to 252.44.1.167—2
213252.44.1.168/31252.44.1.168 to 252.44.1.169—2
214252.44.1.170/31252.44.1.170 to 252.44.1.171—2
215252.44.1.172/31252.44.1.172 to 252.44.1.173—2
216252.44.1.174/31252.44.1.174 to 252.44.1.175—2
217252.44.1.176/31252.44.1.176 to 252.44.1.177—2
218252.44.1.178/31252.44.1.178 to 252.44.1.179—2
219252.44.1.180/31252.44.1.180 to 252.44.1.181—2
220252.44.1.182/31252.44.1.182 to 252.44.1.183—2
221252.44.1.184/31252.44.1.184 to 252.44.1.185—2
222252.44.1.186/31252.44.1.186 to 252.44.1.187—2
223252.44.1.188/31252.44.1.188 to 252.44.1.189—2
224252.44.1.190/31252.44.1.190 to 252.44.1.191—2
225252.44.1.192/31252.44.1.192 to 252.44.1.193—2
226252.44.1.194/31252.44.1.194 to 252.44.1.195—2
227252.44.1.196/31252.44.1.196 to 252.44.1.197—2
228252.44.1.198/31252.44.1.198 to 252.44.1.199—2
229252.44.1.200/31252.44.1.200 to 252.44.1.201—2
230252.44.1.202/31252.44.1.202 to 252.44.1.203—2
231252.44.1.204/31252.44.1.204 to 252.44.1.205—2
232252.44.1.206/31252.44.1.206 to 252.44.1.207—2
233252.44.1.208/31252.44.1.208 to 252.44.1.209—2
234252.44.1.210/31252.44.1.210 to 252.44.1.211—2
235252.44.1.212/31252.44.1.212 to 252.44.1.213—2
236252.44.1.214/31252.44.1.214 to 252.44.1.215—2
237252.44.1.216/31252.44.1.216 to 252.44.1.217—2
238252.44.1.218/31252.44.1.218 to 252.44.1.219—2
239252.44.1.220/31252.44.1.220 to 252.44.1.221—2
240252.44.1.222/31252.44.1.222 to 252.44.1.223—2
241252.44.1.224/31252.44.1.224 to 252.44.1.225—2
242252.44.1.226/31252.44.1.226 to 252.44.1.227—2
243252.44.1.228/31252.44.1.228 to 252.44.1.229—2
244252.44.1.230/31252.44.1.230 to 252.44.1.231—2
245252.44.1.232/31252.44.1.232 to 252.44.1.233—2
246252.44.1.234/31252.44.1.234 to 252.44.1.235—2
247252.44.1.236/31252.44.1.236 to 252.44.1.237—2
248252.44.1.238/31252.44.1.238 to 252.44.1.239—2
249252.44.1.240/31252.44.1.240 to 252.44.1.241—2
250252.44.1.242/31252.44.1.242 to 252.44.1.243—2
251252.44.1.244/31252.44.1.244 to 252.44.1.245—2
252252.44.1.246/31252.44.1.246 to 252.44.1.247—2
253252.44.1.248/31252.44.1.248 to 252.44.1.249—2
254252.44.1.250/31252.44.1.250 to 252.44.1.251—2
255252.44.1.252/31252.44.1.252 to 252.44.1.253—2
256252.44.1.254/31252.44.1.254 to 252.44.1.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses